## goffice 0.6.3-1

=== debian/changelog ===
goffice (0.6.3-1) unstable; urgency=low

  * Update to goffice 0.6.3 release

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 15 Jun 2008 15:43:46 +0200

goffice (0.6.2+svn20080417-1chinook1) unstable; urgency=low

  * New Upstream snapshot, required for the latest gnumeric snapshot

 -- Thomas Schmidt <tschmidt@debian.org>  Thu, 17 Apr 2008 00:10:38 +0200

goffice (0.6.2-1chinook1) unstable; urgency=low

  * Rebuild for Maemo Chinook

 -- Thomas Schmidt <tschmidt@debian.org>  Wed, 16 Apr 2008 23:11:06 +0200

goffice (0.6.2-1) unstable; urgency=low

  * New upstream stable release. 

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Fri, 07 Mar 2008 07:02:30 +0100

goffice (0.6.1-2chinook2) unstable; urgency=low

  * libgoffice-0-6-dev: do not depend on libgnomeui-dev

 -- Thomas Schmidt <tschmidt@debian.org>  Sun,  3 Feb 2008 23:48:19 +0100

goffice (0.6.1-2chinook1) unstable; urgency=low

  * Rebuild for Maemo Chinook
    - Lowered versioned Build-Dep on libpcre3-dev to 6.7-1
    - Removed Build-Dep to libgnomeui-dev
  * Fixed call to gtkdoc-rebase in gtk-doc.make and docs/reference/Makefile.in

 -- Thomas Schmidt <tschmidt@debian.org>  Sun,  3 Feb 2008 22:55:03 +0100

goffice (0.6.1-2) unstable; urgency=medium

  * [debian/rules]
    * Build static library.
    * Use variables for package names.
    * Have the debug package be filled by dh_strip --dbg-package, debhelper
      compatibility level 5 style.
  * [debian/compat] Update to the current recommended version (5).
  * [debian/control] Drop the version from the debug package name, as there is
    only need for a debug package for the current version and this eases
    gnome-dbg maintenance; added Conflicts and Replaces on the previous name
    for smooth transition.
  * [libgoffice-0-6-dbg.dirs, libgoffice-0-6-dbg.install,
    libgoffice-0-6-dbg.links] Renamed and adjusted accordingly.
  * [debian/dirs] Dropped.
  * The debug package is now generated through dh_strip and has an unversioned
    name. (Closes: #459604)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Fri, 18 Jan 2008 12:24:05 +0100

goffice (0.6.1-1) unstable; urgency=medium

  * New upstream stable release, needed for the forthcoming gnumeric 1.8
    series. The API version is now explicitly encoded (through
    GOFFICE_API_VER) as 0.6.
  * [debian/*] Adopt to API version.
  * [debian/rules] Added simple sanity check of packaging files against API
    version.
  * [debian/libgoffice-0-6-dbg.install] Fixed globbing pattern. 
  * [debian/copyright] Updated.
  * [debian/control]
    * libgoffice-0-6-dev obsoletes libgoffice-0-5-dev (which was a development
      version leading up to it). Added Conflicts, Replaces for smooth
      transition.
    * Updated Standards-Version.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 22 Dec 2007 11:23:06 +0100

goffice (0.5.4-1) unstable; urgency=low

  * New upstream release.
  * [debian/rules] Changed the way LDFLAGS is passed so -Wl,--as-needed has
    much greater effect.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 05 Dec 2007 23:05:33 +0100

goffice (0.5.3-1) unstable; urgency=low

  * New upstream release.
  * [debian/watch] Updated. (Closes: #450257)
  * [debian/control] Dropped `XS-' prefix from XS-Vcs-Svn, XS-Vcs-Browser.
  * [debian/libgoffice-0-5-dbg.links] Updated.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 20 Nov 2007 18:06:16 +0100

goffice (0.5.2-1) unstable; urgency=low

  * New upstream release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 04 Nov 2007 20:13:50 +0100

goffice (0.5.1-2) unstable; urgency=low

  * [debian/control] Versioned the conflict with libgoffice-0-dev to allow
    parallel installability with a forthcoming oldlibs package.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 28 Oct 2007 13:51:43 +0100

goffice (0.5.1-1) unstable; urgency=low

  * New upstream development release.
  * Uploading to unstable as this is a prerequisite for getting gnumeric 1.7.x
    in.
  * [debian/rules] Switch to --disable-iso-c.
  * [debian/control]
    * Versioned the pcre3 build dependency as the shlibs of older versions
      were too loose. (Closes: #441331)
    * Added XS-Vcs-Svn, XS-Vcs-Browser.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 21 Oct 2007 19:20:18 +0200

goffice (0.5.0-1) experimental; urgency=low

  * New upstream development release.
  * [debian/control] Dropped gnome-print build and runtime dependencies.
  * [debian/*] Adapt to soname change.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 04 Sep 2007 19:22:23 +0200

goffice (0.4.2-1) experimental; urgency=low

  * New upstream development release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 24 Jul 2007 18:49:41 +0200

goffice (0.4.1-1) experimental; urgency=low

  * New upstream development release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 11 Jul 2007 20:20:17 +0200

goffice (0.4.0-1) experimental; urgency=low

  * New upstream development release.
  * Upstream fixes include goffice/utils/go-image.c: (cairo_to_pixbuf): fixed
    conversion on bigendian machines [gnome bugzilla #432532]. 
    (Closes: #411628)
  * [debian/*] Adapt to 0.4 version.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Fri,  4 May 2007 07:36:38 +0200

goffice (0.3.8-1) experimental; urgency=low

  * New upstream development release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 21 Apr 2007 19:39:44 +0200

goffice (0.3.7-2) experimental; urgency=high

  * [debian/rules] Corrected mistake in reorganisation which caused the
    -common package to lack a number of vital files, causing a gnumeric crash
    reported as http://bugzilla.gnome.org/show_bug.cgi?id=416047 .

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu,  8 Mar 2007 21:36:46 +0100

goffice (0.3.7-1) experimental; urgency=low

  * New upstream development release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon,  5 Mar 2007 06:58:36 +0100

goffice (0.3.6-1) experimental; urgency=low

  * New upstream development release.

