=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

upstreamversion=$(shell dpkg-parsechangelog | grep Version | head -1 | sed -e 's/Version: //g' -e 's/-[A-Za-z0-9+\.]*$$//g')
versionh=$(shell echo $(upstreamversion) | sed -e 's/\.[^.]*$$//')
versiont=$(shell echo $(upstreamversion) | sed -e 's/^.*\.//')
nextupstreamversion=$(shell echo $(versionh).$$(expr $(versiont) + 1))

# The library file name. This goes into the package names (which is why we
# need to change the periods in it). The debian/* files must match.
baselibname=$(shell grep -i '^GOFFICE_API_VER=[0-9]' configure | sed -e 's/^.*=/libgoffice-/' -e s/\\./-/g)

pruntime=$(baselibname)
pdevel=$(baselibname)-dev
pdbg=libgoffice-dbg

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# Ensure the build aborts when there are still references to undefined
# symbols.
LDFLAGS += -Wl,-z,defs

# Make the linker work a bit harder so dynamic loading can be done faster
LDFLAGS += -Wl,-O1

# Make the linker only include actual dependencies on libraries, rather than
# for all libraries specified in the link line.
LDFLAGS += -Wl,--as-needed

# Make the linker find the X libraries
LDFLAGS += -L/usr/X11R6/lib

confflags := -v \
	--host=$(DEB_HOST_GNU_TYPE) \
	--build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr \
	--mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--with-html-dir=\$${prefix}/share/doc/$(pdevel)/html

# FHS locations
confflags +=	--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--datadir=\$${prefix}/share \
		--libdir=\$${prefix}/lib

# Compiler, language dialect
confflags +=    --disable-iso-c \
                --enable-compile-warnings=maximum

# Features
confflags +=    --enable-static --with-cairo --enable-gtk-doc

source-updates:
	# Update files/links generated by autotools
	env srcdir=`pwd` NOCONFIGURE=1 sh autogen.sh
	# Replace links by copies of their targets
	for file in `find -type l` ; do \
		tf=`tempfile` && \
		install -p $$file $$tf && \
		rm -f $$file && \
		install -p $$tf $$file && \
		rm -f $$tf ; \
	done
	rm -rf autom4te.cache configure-stamp

configure: configure-stamp
configure-stamp:
	dh_testdir
	if ! test -r debian/$(pruntime).install ; then \
		echo "Packaging files are not set up for base library name $(pruntime). Aborting." ; \
		exit 1 ; \
	fi
	
	# Add here commands to configure the package.

	rm -rf build && mkdir build
	rm -f goffice/goffice-paths.h
	cd build && env "CC=$(CC) $(LDFLAGS)" ../configure $(confflags)

	touch configure-stamp

build: build-stamp
build-stamp:  configure-stamp
	dh_testdir

	$(MAKE) -C build

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp

	-$(MAKE) -C build distclean
	rm -rf build
	rm -f config.cache config.status
	-find -type f -name 'Makefile.am' | sed -e 's/\.am$$//' | xargs rm -f

	# Update config.{sub,guess} from autotools-dev, if possible.
	-for f in config.sub config.guess ; do \
		if test -r /usr/share/misc/$$f ; then \
			OLDDATE=`./$$f -t | tr -d -` ; \
			NEWDATE=`/usr/share/misc/$$f -t | tr -d -` ; \
			if [ $$OLDDATE -lt $$NEWDATE ] ; then \
				echo "GNU config automated update of $$f (replacing $$OLDDATE with $$NEWDATE)" 1>&2 ; \
				cp -f /usr/share/misc/$$f $$f ; \
			fi; \
		fi; \
	done

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Install the package into debian/tmp
	$(MAKE) -C build DESTDIR=$(CURDIR)/debian/tmp install 

#	# FIXME: where do we put the debug for the plugins?
#	mkdir -p $(CURDIR)/debian/tmp/usr/lib/debug
#	for l in `find $(CURDIR)/debian/tmp/usr/lib -name '*.so*'`; do \
#		cp -vdf $$l $(CURDIR)/debian/tmp/usr/lib/debug ; \
#	done

	rm -f $(CURDIR)/debian/tmp/usr/lib/libgoffice-*.la


# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything that should only affect one package
# should be put in another target (such as the install target) or be put
# into conditional constructs.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
ifeq ($(DH_OPTIONS),-s)
	rm -rvf $(CURDIR)/debian/$(pdbg)/usr/share/doc/$(pdbg)
endif
	dh_install --sourcedir=debian/tmp
ifeq ($(DH_OPTIONS),-s)
	dh_install -p$(pdbg) --sourcedir=debian/tmp
endif

#	dh_installdebconf -s
	dh_installdocs -s
	dh_installexamples -s
#	dh_installmenu -s
#	dh_installlogrotate -s
#	dh_installemacsen -s
#	dh_installpam -s
	dh_installmime -s
#	dh_installinit -s
#	dh_installcron -s
	dh_installman -s
	dh_installinfo -s
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installinfo
	dh_installman
	dh_gconf
	dh_scrollkeeper
	dh_desktop
ifeq ($(DH_OPTIONS),-s)
	rm -rvf $(CURDIR)/debian/$(pdbg)/usr/share/doc/$(pdbg)
endif
	dh_link
	dh_buildinfo
	dh_compress
#	dh_perl
#	dh_python
ifeq ($(DH_OPTIONS),-s)
	dh_strip -v --dbg-package=$(pdbg)

        # Unfortunately, "-s" overrides "-p" for dh_makeshlibs and by acting
        # on all architecture-dependent packages we would get wrong shlibs
        # here, so we need to undo the "-s".
	env -u DH_OPTIONS dh_makeshlibs -s -p$(pruntime) -V '$(pruntime) (>= $(upstreamversion))'

	dh_shlibdeps -s -l debian/$(pruntime)/usr/lib/ -L $(pruntime)
endif
	dh_fixperms
	dh_installdeb
	dh_gencontrol -v -- -VUpstream-Version=$(upstreamversion)
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

## Any other binary targets build just one binary package at a time.
#binary-%: build install
#	make -f debian/rules binary-common DH_OPTIONS=-p$*
#

binary: binary-indep binary-arch

.PHONY: source-updates configure build clean install binary-indep binary-arch binary
