## goffice 0.6.3-2

=== po/Makefile ===
# Makefile for program source directory in GNU NLS utilities package.
# Copyright (C) 1995, 1996, 1997 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
#
# This file file be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU Public License
# but which still want to provide support for the GNU gettext functionality.
# Please note that the actual code is *not* freely available.
#
# - Modified by Owen Taylor <otaylor@redhat.com> to use GETTEXT_PACKAGE
#   instead of PACKAGE and to look for po2tbl in ./ not in intl/
#
# - Modified by jacob berkman <jacob@ximian.com> to install
#   Makefile.in.in and po2tbl.sed.in for use with glib-gettextize
#
# - Modified by Rodney Dawes <dobey@novell.com> for use with intltool
#
# We have the following line for use by intltoolize:
# INTLTOOL_MAKEFILE

GETTEXT_PACKAGE = goffice-0.6.3
PACKAGE = goffice
VERSION = 0.6.3

SHELL = /bin/sh

srcdir = .
top_srcdir = ..
top_builddir = ..


prefix = /usr/local
exec_prefix = ${prefix}
datadir = ${prefix}/share
datarootdir = @datarootdir@
libdir = ${exec_prefix}/lib
DATADIRNAME = share
itlocaledir = $(prefix)/$(DATADIRNAME)/locale
subdir = po
install_sh = /home/chelli/Development/gnumeric/goffice/goffice/install-sh
# Automake >= 1.8 provides mkdir -p --.
# Until it can be supposed, use the safe fallback:
mkdir_p = $(install_sh) -d

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644

GMSGFMT = /scratchbox/tools/bin/msgfmt
MSGFMT = /scratchbox/tools/bin/msgfmt
XGETTEXT = /scratchbox/tools/bin/xgettext
INTLTOOL_UPDATE = $(top_builddir)/intltool-update
INTLTOOL_EXTRACT = $(top_builddir)/intltool-extract
MSGMERGE = INTLTOOL_EXTRACT=$(INTLTOOL_EXTRACT) srcdir=$(srcdir) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --dist
GENPOT   = INTLTOOL_EXTRACT=$(INTLTOOL_EXTRACT) srcdir=$(srcdir) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --pot

ALL_LINGUAS = 

PO_LINGUAS=$(shell if test -r $(srcdir)/LINGUAS; then grep -v "^\#" $(srcdir)/LINGUAS; fi)

POFILES=$(shell if test -n "$(PO_LINGUAS)"; then LINGUAS="$(PO_LINGUAS)"; else LINGUAS="$(ALL_LINGUAS)"; fi; for lang in $$LINGUAS; do printf "$$lang.po "; done)

DISTFILES = ChangeLog Makefile.in.in POTFILES.in $(POFILES)
EXTRA_DISTFILES = POTFILES.skip Makevars LINGUAS

POTFILES = \
	../goffice/app/error-info.c \
	../goffice/app/error-info.h \
	../goffice/app/file-priv.h \
	../goffice/app/file.c \
	../goffice/app/file.h \
	../goffice/app/go-app.h \
	../goffice/app/go-cmd-context-impl.h \
	../goffice/app/go-cmd-context.c \
	../goffice/app/go-cmd-context.h \
	../goffice/app/go-doc-control-impl.h \
	../goffice/app/go-doc-control.c \
	../goffice/app/go-doc-control.h \
	../goffice/app/go-doc-impl.h \
	../goffice/app/go-doc.c \
	../goffice/app/go-doc.h \
	../goffice/app/go-error-stack.h \
	../goffice/app/go-object.c \
	../goffice/app/go-object.h \
	../goffice/app/go-plugin-loader-module.c \
	../goffice/app/go-plugin-loader-module.h \
	../goffice/app/go-plugin-loader.c \
	../goffice/app/go-plugin-loader.h \
	../goffice/app/go-plugin-service-impl.h \
	../goffice/app/go-plugin-service.c \
	../goffice/app/go-plugin-service.h \
	../goffice/app/go-plugin.c \
	../goffice/app/go-plugin.h \
	../goffice/app/go-service-impl.h \
	../goffice/app/go-service.c \
	../goffice/app/go-service.h \
	../goffice/app/goffice-app.h \
	../goffice/app/io-context-priv.h \
	../goffice/app/io-context.c \
	../goffice/app/io-context.h \
	../goffice/app/module-plugin-defs.h \
	../goffice/component/go-component-factory.c \
	../goffice/cut-n-paste/foocanvas/foo-canvas-text.c \
	../goffice/cut-n-paste/foocanvas/foo-canvas.c \
	../goffice/data/go-data-impl.h \
	../goffice/data/go-data-simple.c \
	../goffice/data/go-data-simple.h \
	../goffice/data/go-data.c \
	../goffice/data/go-data.h \
	../goffice/data/goffice-data.h \
	../goffice/drawing/god-anchor.c \
	../goffice/drawing/god-anchor.h \
	../goffice/drawing/god-default-attributes.c \
	../goffice/drawing/god-default-attributes.h \
	../goffice/drawing/god-drawing-group.c \
	../goffice/drawing/god-drawing-group.h \
	../goffice/drawing/god-drawing-renderer-gdk.c \
	../goffice/drawing/god-drawing-renderer-gdk.h \
	../goffice/drawing/god-drawing-view.c \
	../goffice/drawing/god-drawing-view.h \
	../goffice/drawing/god-drawing.c \
	../goffice/drawing/god-drawing.h \
	../goffice/drawing/god-image-store.c \
	../goffice/drawing/god-image-store.h \
	../goffice/drawing/god-image.c \
	../goffice/drawing/god-image.h \
	../goffice/drawing/god-paragraph-attributes.c \
	../goffice/drawing/god-paragraph-attributes.h \
	../goffice/drawing/god-property-table.c \
	../goffice/drawing/god-property-table.h \
	../goffice/drawing/god-shape.c \
	../goffice/drawing/god-shape.h \
	../goffice/drawing/god-text-model.c \
	../goffice/drawing/god-text-model.h \
	../goffice/goffice-priv.h \
	../goffice/goffice.c \
	../goffice/goffice.h \
	../goffice/graph/goffice-graph.h \
	../goffice/graph/gog-axis-line.c \
	../goffice/graph/gog-axis-prefs.glade \
	../goffice/graph/gog-axis.c \
	../goffice/graph/gog-axis.h \
	../goffice/graph/gog-chart-impl.h \
	../goffice/graph/gog-chart.c \
	../goffice/graph/gog-chart.h \
	../goffice/graph/gog-control-foocanvas.c \
	../goffice/graph/gog-control-foocanvas.h \
	../goffice/graph/gog-data-allocator.c \
	../goffice/graph/gog-data-allocator.h \
	../goffice/graph/gog-data-set.c \
	../goffice/graph/gog-data-set.h \
	../goffice/graph/gog-error-bar-prefs.glade \
	../goffice/graph/gog-error-bar.c \
	../goffice/graph/gog-error-bar.h \
	../goffice/graph/gog-graph-impl.h \
	../goffice/graph/gog-graph-prefs.glade \
	../goffice/graph/gog-graph.c \
	../goffice/graph/gog-graph.h \
	../goffice/graph/gog-grid-line.c \
	../goffice/graph/gog-grid-line.h \
	../goffice/graph/gog-grid.c \
	../goffice/graph/gog-grid.h \
	../goffice/graph/gog-guru-type-selector.glade \
	../goffice/graph/gog-guru.c \
	../goffice/graph/gog-guru.glade \
	../goffice/graph/gog-guru.h \
	../goffice/graph/gog-label.c \
	../goffice/graph/gog-label.h \
	../goffice/graph/gog-legend.c \
	../goffice/graph/gog-legend.h \
	../goffice/graph/gog-object-prefs.glade \
	../goffice/graph/gog-object-xml.c \
	../goffice/graph/gog-object-xml.h \
	../goffice/graph/gog-object.c \
	../goffice/graph/gog-object.h \
	../goffice/graph/gog-outlined-object.c \
	../goffice/graph/gog-outlined-object.h \
	../goffice/graph/gog-plot-engine.c \
	../goffice/graph/gog-plot-engine.h \
	../goffice/graph/gog-plot-impl.h \
	../goffice/graph/gog-plot-prefs.glade \
	../goffice/graph/gog-plot.c \
	../goffice/graph/gog-plot.h \
	../goffice/graph/gog-reg-curve-prefs.glade \
	../goffice/graph/gog-reg-curve.c \
	../goffice/graph/gog-reg-eqn-prefs.glade \
	../goffice/graph/gog-renderer.c \
	../goffice/graph/gog-renderer.h \
	../goffice/graph/gog-series-impl.h \
	../goffice/graph/gog-series-prefs.glade \
	../goffice/graph/gog-series.c \
	../goffice/graph/gog-series.h \
	../goffice/graph/gog-smoothed-curve.c \
	../goffice/graph/gog-style-prefs.glade \
	../goffice/graph/gog-style.c \
	../goffice/graph/gog-style.h \
	../goffice/graph/gog-styled-object.c \
	../goffice/graph/gog-styled-object.h \
	../goffice/graph/gog-theme.c \
	../goffice/graph/gog-theme.h \
	../goffice/graph/gog-trend-line.c \
	../goffice/graph/gog-view.c \
	../goffice/graph/gog-view.h \
	../goffice/gtk/go-action-combo-color.c \
	../goffice/gtk/go-action-combo-color.h \
	../goffice/gtk/go-action-combo-pixmaps.c \
	../goffice/gtk/go-action-combo-pixmaps.h \
	../goffice/gtk/go-action-combo-stack.c \
	../goffice/gtk/go-action-combo-stack.h \
	../goffice/gtk/go-action-combo-text.c \
	../goffice/gtk/go-action-combo-text.h \
	../goffice/gtk/go-charmap-sel.c \
	../goffice/gtk/go-charmap-sel.h \
	../goffice/gtk/go-color-group.c \
	../goffice/gtk/go-color-group.h \
	../goffice/gtk/go-color-palette.c \
	../goffice/gtk/go-color-palette.h \
	../goffice/gtk/go-color-selector.c \
	../goffice/gtk/go-combo-box.c \
	../goffice/gtk/go-combo-box.h \
	../goffice/gtk/go-combo-color.c \
	../goffice/gtk/go-combo-color.h \
	../goffice/gtk/go-combo-pixmaps.c \
	../goffice/gtk/go-combo-pixmaps.h \
	../goffice/gtk/go-combo-text.c \
	../goffice/gtk/go-combo-text.h \
	../goffice/gtk/go-dock-band.c \
	../goffice/gtk/go-dock-band.h \
	../goffice/gtk/go-dock-item-grip.c \
	../goffice/gtk/go-dock-item-grip.h \
	../goffice/gtk/go-dock-item.c \
	../goffice/gtk/go-dock-item.h \
	../goffice/gtk/go-dock-layout.c \
	../goffice/gtk/go-dock-layout.h \
	../goffice/gtk/go-dock.c \
	../goffice/gtk/go-dock.h \
	../goffice/gtk/go-font-sel.c \
	../goffice/gtk/go-font-sel.glade \
	../goffice/gtk/go-font-sel.h \
	../goffice/gtk/go-format-sel.c \
	../goffice/gtk/go-format-sel.glade \
	../goffice/gtk/go-format-sel.h \
	../goffice/gtk/go-image-save-dialog-extra.glade \
	../goffice/gtk/go-locale-sel.c \
	../goffice/gtk/go-locale-sel.h \
	../goffice/gtk/go-optionmenu.c \
	../goffice/gtk/go-optionmenu.h \
	../goffice/gtk/go-palette.c \
	../goffice/gtk/go-rotation-sel.c \
	../goffice/gtk/go-rotation-sel.glade \
	../goffice/gtk/go-rotation-sel.h \
	../goffice/gtk/goffice-gtk.c \
	../goffice/gtk/goffice-gtk.h \
	../goffice/math/go-complex.c \
	../goffice/math/go-complex.h \
	../goffice/math/go-fft.c \
	../goffice/math/go-fft.h \
	../goffice/math/go-rangefunc.c \
	../goffice/math/go-rangefunc.h \
	../goffice/math/go-cspline.c \
	../goffice/math/go-cspline.h \
	../goffice/math/go-math.c \
	../goffice/math/go-math.h \
	../goffice/math/go-regression.c \
	../goffice/math/go-regression.h \
	../goffice/ms-compat/go-ms-parser.c \
	../goffice/ms-compat/go-ms-parser.h \
	../goffice/ms-compat/god-drawing-ms-client-handler.c \
	../goffice/ms-compat/god-drawing-ms-client-handler.h \
	../goffice/ms-compat/god-drawing-ms.c \
	../goffice/ms-compat/god-drawing-ms.h \
	../goffice/ms-compat/god-image-ms.c \
	../goffice/ms-compat/god-image-ms.h \
	../goffice/utils/datetime.c \
	../goffice/utils/datetime.h \
	../goffice/utils/formats.c \
	../goffice/utils/go-color.c \
	../goffice/utils/go-color.h \
	../goffice/utils/go-file.c \
	../goffice/utils/go-file.h \
	../goffice/utils/go-font.c \
	../goffice/utils/go-font.h \
	../goffice/utils/go-format.c \
	../goffice/utils/go-format.h \
	../goffice/utils/go-glib-extras.c \
	../goffice/utils/go-glib-extras.h \
	../goffice/utils/go-gradient.c \
	../goffice/utils/go-gradient.h \
	../goffice/utils/go-image.c \
	../goffice/utils/go-image.h \
	../goffice/utils/go-libxml-extras.c \
	../goffice/utils/go-libxml-extras.h \
	../goffice/utils/go-line.c \
	../goffice/utils/go-line.h \
	../goffice/utils/go-locale.c \
	../goffice/utils/go-locale.h \
	../goffice/utils/go-marker.c \
	../goffice/utils/go-marker.h \
	../goffice/utils/go-pattern.c \
	../goffice/utils/go-pattern.h \
	../goffice/utils/go-units.h \
	../goffice/utils/goffice-utils.h \
	../goffice/utils/regutf8.c \
	../goffice/utils/regutf8.h \
	../plugins/plot_barcol/gog-1.5d.c \
	../plugins/plot_barcol/gog-1.5d.h \
	../plugins/plot_barcol/gog-barcol-prefs.c \
	../plugins/plot_barcol/gog-barcol-prefs.glade \
	../plugins/plot_barcol/gog-barcol.c \
	../plugins/plot_barcol/gog-barcol.h \
	../plugins/plot_barcol/gog-dropbar.c \
	../plugins/plot_barcol/gog-line.c \
	../plugins/plot_barcol/gog-line.h \
	../plugins/plot_barcol/gog-minmax-prefs.glade \
	../plugins/plot_barcol/gog-minmax.c \
	../plugins/plot_barcol/plot-types.xml.in \
	../plugins/plot_barcol/plugin.xml.in \
	../plugins/plot_boxes/gog-boxplot-prefs.glade \
	../plugins/plot_boxes/gog-boxplot.c \
	../plugins/plot_boxes/gog-boxplot.h \
	../plugins/plot_boxes/gog-histogram.c \
	../plugins/plot_boxes/plot-types.xml.in \
	../plugins/plot_boxes/plugin.xml.in \
	../plugins/plot_pie/gog-pie-prefs.c \
	../plugins/plot_pie/gog-pie-prefs.glade \
	../plugins/plot_pie/gog-pie-series.glade \
	../plugins/plot_pie/gog-pie.c \
	../plugins/plot_pie/gog-pie.h \
	../plugins/plot_pie/gog-ring-prefs.glade \
	../plugins/plot_pie/plot-types.xml.in \
	../plugins/plot_pie/plugin.xml.in \
	../plugins/plot_radar/gog-radar.c \
