=== debian/changelog ===
goffice (0.6.3-2) unstable; urgency=low

  * Rebuild, intended to go into Maemo Diablo

 -- Thomas Schmidt <tschmidt@debian.org>  Thu, 26 Jun 2008 12:08:46 +0200
