=== debian/control ===
Source: goffice
Section: libs
Priority: optional
Maintainer: Thomas Schmidt <tschmidt@debian.org>
Build-Depends: debhelper (>= 4.2.21), dh-buildinfo, gtk-doc-tools (>= 1.4), libxml-parser-perl, libglib2.0-dev (>= 2.8.0), libgsf-1-dev (>= 1.14.0), libxml2-dev (>= 2.6.10-2), libpango1.0-dev (>= 1.12.1-2), libgtk2.0-dev (>= 2.8.17), libglade2-dev (>= 1:2.4.0-1), libart-2.0-dev (>= 2.3.16-5), libgconf2-dev (>= 2.6.2-1), libgsf-gnome-1-dev (>= 1.14.0), libpcre3-dev (>= 6.7-1), libxrender-dev, libxext-dev, libcairo2-dev (>= 1.2.0)
Vcs-Svn: svn://svn.gnome.org/svn/goffice/trunk
Vcs-Browser: http://svn.gnome.org/viewcvs/goffice/trunk/
Standards-Version: 3.7.3

Package: libgoffice-0-6-dev
Section: libdevel
Architecture: any
Conflicts: libgoffice-0-dev (<< 0.4.2-2), libgoffice-0-5-dev
Replaces: libgoffice-0-5-dev
Depends: libgoffice-0-6 (= ${Source-Version}), libglib2.0-dev (>= 2.8.0), libgsf-gnome-1-dev (>= 1.14.0), libxml2-dev (>= 2.6.10-2), libgtk2.0-dev (>= 2.8.17), libglade2-dev (>= 1:2.4.0-1), libart-2.0-dev (>= 2.3.16-5), libcairo2-dev
Description: Document centric objects library - runtime files
 GOffice is a library of document centric objects and utilities building on
 top of GLib and Gtk+.
 .
 These are the files needed when building applications that use GOffice.

Package: libgoffice-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libgoffice-0-6 (= ${Source-Version})
Conflicts: libgoffice-0-6-dbg
Replaces: libgoffice-0-6-dbg
Description: Document centric objects library - debugging files
 GOffice is a library of document centric objects and utilities building on
 top of GLib and Gtk+.
 .
 These are the files used to debug (applications that use) the GOffice
 library.

Package: libgoffice-0-6
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libgoffice-0-6-common (>= ${Source-Version}), ${misc:Depends}
Description: Document centric objects library - runtime files
 GOffice is a library of document centric objects and utilities building on
 top of GLib and Gtk+.
 .
 These are the files needed to run applications that use GOffice.

Package: libgoffice-0-6-common
Section: libs
Architecture: all
Description: Document centric objects library - common files
 GOffice is a library of document centric objects and utilities building on
 top of GLib and Gtk+.
 .
 These are the architecture independent files that are part of GOffice, like
 images and translations of messages.
