## goffice 0.8.1

=== debian/changelog ===
goffice (0.8.1-1ubuntu2) lucid; urgency=low

  * libgoffice-0.8-8 has the same soname as libgoffice-0-8, the package was
    only renamed to suppress a lintian warning - so Provide: libgoffice-0-8
    to smooth the upgrade path.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 08 Apr 2010 15:23:34 +0000

goffice (0.8.1-1ubuntu1) lucid; urgency=low

  * FFe granted, upload to ubuntu. lp: #543612, #542021

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Sun, 21 Mar 2010 23:32:35 +0100

goffice (0.8.1-1ubuntu1~ppa1) lucid; urgency=low

  * Merge from Debian unstable, remaining change:
    - debian/rules: call intltool-update -p to generate a .pot file.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Sat, 20 Mar 2010 15:43:24 +0100

goffice (0.8.1-1) unstable; urgency=low

  * New upstream stable release.
  * [debian/*] Reflect soname in package naming. (Closes: #570351)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 09 Mar 2010 21:23:00 +0100

goffice (0.8.0-1ubuntu2) lucid; urgency=low

  * Rebuild to include translations, since it has been demoted to universe.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Sun, 14 Mar 2010 14:26:03 +0100

goffice (0.8.0-1ubuntu1) lucid; urgency=low

  * Merge from Debian unstable, remaining change:
    - debian/rules: call intltool-update -p to generate a .pot file

 -- Daniel T Chen <crimsun@ubuntu.com>  Thu, 18 Feb 2010 01:26:13 -0500

goffice (0.8.0-1) unstable; urgency=low

  * New upstream stable release.
  * [debian/control] Updated Standards-Version.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 15 Feb 2010 13:35:28 +0100

goffice (0.7.18-1ubuntu1) lucid; urgency=low

  * Merge from Debian testing, remaining change:
    - debian/rules: call intltool-update -p to generate a .pot file

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 09 Feb 2010 16:30:15 -0500

goffice (0.7.18-1) unstable; urgency=low

  * New upstream release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 26 Jan 2010 21:14:15 +0100
 

goffice (0.7.17-1ubuntu1) lucid; urgency=low

  * Merge from Debian testing, remaining changes:
    - debian/rules: call intltool-update -p to generate a .pot file

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 10 Jan 2010 00:20:44 -0500

goffice (0.7.17-1) unstable; urgency=low

  * New upstream release. Changes include:
    * Fixed a canvas performance issue (bugzilla.gnome.org #603813).
      (Closes: #559441)
  * [debian/source/format] Added - switch to source format 3.0 (quilt).

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 16 Dec 2009 19:38:52 +0100

goffice (0.7.16-1) unstable; urgency=low

  * New upstream release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 01 Dec 2009 20:51:41 +0100

goffice (0.7.15-1) unstable; urgency=low

  * New upstream release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 02 Nov 2009 08:41:34 +0100

goffice (0.7.14-2) unstable; urgency=low

  * Upload to unstable now that gnumeric 1.9.13 has migrated into testing.
  * [debian/control] For all build dependencies that have separate -doc
    packages, added the -doc packages as build dependencies as well in order
    to generate cross-references.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 17 Oct 2009 21:15:52 +0200

goffice (0.7.14-1) experimental; urgency=low

  * New upstream release. Uploading to experimental so as not to interfere
    with gnumeric 1.9.13's migration to testing.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 11 Oct 2009 18:24:29 +0200

goffice (0.7.13-1) unstable; urgency=medium

  * New upstream release. Urgency medium to keep up with gnumeric.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 20 Sep 2009 21:30:01 +0200

goffice (0.7.12-1) unstable; urgency=low

  * New upstream release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 06 Sep 2009 19:34:59 +0200

goffice (0.7.11-1) unstable; urgency=low

  * New upstream release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 02 Sep 2009 21:22:09 +0200

goffice (0.7.10-1) unstable; urgency=low

  * New upstream release.
  * [debian/libgoffice-0-8-common.install] Follow the migration from Glade
    to GtkBuilder and include the .ui files instead of the .glade files
    which are no longer present.
  * [debian/rules] Update accordingly.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 01 Sep 2009 20:28:43 +0200

goffice (0.7.9-1) unstable; urgency=low

  * New upstream development release.
  * [debian/control]
    * Updated Standards-Version.
  * [debian/rules]
    * dh_scrollkeeper is a deprecated no-op nowadays; removed call.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 16 Aug 2009 13:43:29 +0200

goffice (0.7.8-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/rules: call intltool-update -p to generate a .pot file

 -- Gauvain Pocentek <gauvainpocentek@ubuntu.com>  Mon, 22 Jun 2009 13:31:12 +0200

goffice (0.7.8-1) unstable; urgency=low

  * New upstream development release.
  * [debian/control]
    * Add libgoffice-0-8-dev Depends: libgsf-1-dev as per the .pc file.
      (Closes: #531168)
    * Updated Standards-Version.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 21 Jun 2009 20:41:35 +0200

goffice (0.7.7-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/rules: call intltool-update -p to generate a .pot file

 -- Gauvain Pocentek <gauvainpocentek@ubuntu.com>  Sat, 06 Jun 2009 14:55:56 +0200

goffice (0.7.7-1) unstable; urgency=low

  * New upstream development release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 24 May 2009 08:00:46 +0200

goffice (0.7.6-1) unstable; urgency=low

  * New upstream development release.
  * This version is needed by Gnumeric 1.9.7 which has a high priority
    bugfix; setting urgency accordingly.
  * [debian/rules] Removed "--with-cairo" from confflags as it is no longer
    a separate option for the configure script.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu, 07 May 2009 08:26:24 +0200


