=== debian/rules ===
--- 
+++ 
@@ -14,12 +14,15 @@
 versiont=$(shell echo $(upstreamversion) | sed -e 's/^.*\.//')
 nextupstreamversion=$(shell echo $(versionh).$$(expr $(versiont) + 1))
 
-# The library file name. This goes into the package names (which is why we
-# need to change the periods in it). The debian/* files must match.
-baselibname=$(shell grep -i '^GOFFICE_API_VER=[0-9]' configure | sed -e 's/^.*=/libgoffice-/' -e s/\\./-/g)
-
+# API version
+apiver=$(shell grep -i '^GOFFICE_API_VER=[0-9]' configure | sed -e 's/^.*=//')
+# ABI major version
+somajor=$(shell grep -i '^VERSION_INFO=[0-9]' configure | sed -e 's/^.*=//' -e 's/:.*//')
+# The base library name
+baselibname=libgoffice-$(apiver)-$(somajor)
 pruntime=$(baselibname)
-pdevel=$(baselibname)-dev
+pcommon=$(baselibname)-common
+pdevel=libgoffice-$(apiver)-dev
 pdbg=libgoffice-dbg
 
 # These are used for cross-compiling and for saving the configure script
@@ -72,7 +75,7 @@
                 --enable-compile-warnings=maximum
 
 # Features
-confflags +=    --enable-static --with-cairo --enable-gtk-doc
+confflags +=    --enable-static --enable-gtk-doc
 
 source-updates:
 	# Update files/links generated by autotools
@@ -85,26 +88,30 @@
 		install -p $$tf $$file && \
 		rm -f $$tf ; \
 	done
-	rm -rf autom4te.cache configure-stamp
-
-configure: configure-stamp
-configure-stamp:
-	dh_testdir
+	rm -rf autom4te.cache config-stamp
+
+configure: config-stamp
+config-stamp:
+	dh_testdir
+	dh_prep
 	if ! test -r debian/$(pruntime).install ; then \
 		echo "Packaging files are not set up for base library name $(pruntime). Aborting." ; \
 		exit 1 ; \
 	fi
 	
+	# Generate a .pot file
+	cd po; intltool-update -p
+
 	# Add here commands to configure the package.
 
 	rm -rf build && mkdir build
 	rm -f goffice/goffice-paths.h
 	cd build && env "CC=$(CC) $(LDFLAGS)" ../configure $(confflags)
 
-	touch configure-stamp
+	touch config-stamp
 
 build: build-stamp
-build-stamp:  configure-stamp
+build-stamp:  config-stamp
 	dh_testdir
 
 	$(MAKE) -C build
@@ -114,11 +121,12 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f configure-stamp build-stamp
-
-	-$(MAKE) -C build distclean
+	rm -f config-stamp build-stamp
+
+	if test -d build && test -f build/Makefile ; then \
+		$(MAKE) -C build distclean; \
+	fi
 	rm -rf build
-	rm -f config.cache config.status
 	-find -type f -name 'Makefile.am' | sed -e 's/\.am$$//' | xargs rm -f
 
 	# Update config.{sub,guess} from autotools-dev, if possible.
@@ -138,7 +146,6 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
 	dh_installdirs
 
 	# Install the package into debian/tmp
@@ -151,7 +158,6 @@
 #	done
 
 	rm -f $(CURDIR)/debian/tmp/usr/lib/libgoffice-*.la
-
 
 # This single target is used to build all the packages, all at once, or
 # one at a time. So keep in mind: any options passed to commands here will
@@ -169,6 +175,16 @@
 ifeq ($(DH_OPTIONS),-s)
 	dh_install -p$(pdbg) --sourcedir=debian/tmp
 endif
+	# Remove files from the main package that belong to a more
+	# specialist package
+	# (dh_install doesn't do the right thing here IMO; perhaps it
+	# doesn't like multiple globs in one line)
+	while read l ; do \
+		rm -rvf debian/$(pruntime)/$$l ; \
+	done < debian/$(pcommon).install
+
+	# Remove dirs that are now empty
+	-find debian/tmp -depth -type d | xargs rmdir >/dev/null 2>&1
 
 #	dh_installdebconf -s
 	dh_installdocs -s
@@ -196,8 +212,6 @@
 	dh_installinfo
 	dh_installman
 	dh_gconf
-	dh_scrollkeeper
-	dh_desktop
 ifeq ($(DH_OPTIONS),-s)
 	rm -rvf $(CURDIR)/debian/$(pdbg)/usr/share/doc/$(pdbg)
 endif
