## goffice 0.8.2-1

=== debian/changelog ===
goffice (0.8.2-1) unstable; urgency=low

  * Update to goffice 0.8.2
  * Optified

 -- Tomasz Pieniazek <t.pieniazek@gazeta.pl>  Fri, 30 Apr 2010 18:08:44 +0200
