=== debian/rules ===
--- 
+++ 
@@ -14,15 +14,12 @@
 versiont=$(shell echo $(upstreamversion) | sed -e 's/^.*\.//')
 nextupstreamversion=$(shell echo $(versionh).$$(expr $(versiont) + 1))
 
-# API version
-apiver=$(shell grep -i '^GOFFICE_API_VER=[0-9]' configure | sed -e 's/^.*=//')
-# ABI major version
-somajor=$(shell grep -i '^VERSION_INFO=[0-9]' configure | sed -e 's/^.*=//' -e 's/:.*//')
-# The base library name
-baselibname=libgoffice-$(apiver)-$(somajor)
+# The library file name. This goes into the package names (which is why we
+# need to change the periods in it). The debian/* files must match.
+baselibname=$(shell grep -i '^GOFFICE_API_VER=[0-9]' configure | sed -e 's/^.*=/libgoffice-/' -e s/\\./-/g)
+
 pruntime=$(baselibname)
-pcommon=$(baselibname)-common
-pdevel=libgoffice-$(apiver)-dev
+pdevel=$(baselibname)-dev
 pdbg=libgoffice-dbg
 
 # These are used for cross-compiling and for saving the configure script
@@ -75,7 +72,7 @@
                 --enable-compile-warnings=maximum
 
 # Features
-confflags +=    --enable-static --enable-gtk-doc
+confflags +=    --enable-static --with-cairo #--enable-gtk-doc
 
 source-updates:
 	# Update files/links generated by autotools
@@ -88,30 +85,27 @@
 		install -p $$tf $$file && \
 		rm -f $$tf ; \
 	done
-	rm -rf autom4te.cache config-stamp
-
-configure: config-stamp
-config-stamp:
-	dh_testdir
-	dh_prep
+	rm -rf autom4te.cache configure-stamp
+
+configure: configure-stamp
+configure-stamp:
+	dh_testdir
 	if ! test -r debian/$(pruntime).install ; then \
 		echo "Packaging files are not set up for base library name $(pruntime). Aborting." ; \
 		exit 1 ; \
 	fi
 	
-	# Generate a .pot file
-	cd po; intltool-update -p
-
 	# Add here commands to configure the package.
 
 	rm -rf build && mkdir build
 	rm -f goffice/goffice-paths.h
 	cd build && env "CC=$(CC) $(LDFLAGS)" ../configure $(confflags)
 
-	touch config-stamp
+	touch configure-stamp
+	cp doltlibtool build/doltlibtool;
 
 build: build-stamp
-build-stamp:  config-stamp
+build-stamp:  configure-stamp
 	dh_testdir
 
 	$(MAKE) -C build
@@ -121,12 +115,11 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f config-stamp build-stamp
-
-	if test -d build && test -f build/Makefile ; then \
-		$(MAKE) -C build distclean; \
-	fi
+	rm -f configure-stamp build-stamp
+
+	-$(MAKE) -C build distclean
 	rm -rf build
+	rm -f config.cache config.status
 	-find -type f -name 'Makefile.am' | sed -e 's/\.am$$//' | xargs rm -f
 
 	# Update config.{sub,guess} from autotools-dev, if possible.
@@ -146,6 +139,7 @@
 install: build
 	dh_testdir
 	dh_testroot
+	dh_clean -k 
 	dh_installdirs
 
 	# Install the package into debian/tmp
@@ -158,6 +152,7 @@
 #	done
 
 	rm -f $(CURDIR)/debian/tmp/usr/lib/libgoffice-*.la
+
 
 # This single target is used to build all the packages, all at once, or
 # one at a time. So keep in mind: any options passed to commands here will
@@ -175,16 +170,6 @@
 ifeq ($(DH_OPTIONS),-s)
 	dh_install -p$(pdbg) --sourcedir=debian/tmp
 endif
-	# Remove files from the main package that belong to a more
-	# specialist package
-	# (dh_install doesn't do the right thing here IMO; perhaps it
-	# doesn't like multiple globs in one line)
-	while read l ; do \
-		rm -rvf debian/$(pruntime)/$$l ; \
-	done < debian/$(pcommon).install
-
-	# Remove dirs that are now empty
-	-find debian/tmp -depth -type d | xargs rmdir >/dev/null 2>&1
 
 #	dh_installdebconf -s
 	dh_installdocs -s
@@ -212,6 +197,8 @@
 	dh_installinfo
 	dh_installman
 	dh_gconf
+	dh_scrollkeeper
+	dh_desktop
 ifeq ($(DH_OPTIONS),-s)
 	rm -rvf $(CURDIR)/debian/$(pdbg)/usr/share/doc/$(pdbg)
 endif
@@ -233,6 +220,7 @@
 	dh_fixperms
 	dh_installdeb
 	dh_gencontrol -v -- -VUpstream-Version=$(upstreamversion)
+#	maemo-optify
 	dh_md5sums
 	dh_builddeb
